Skip to main content
POST
/
attestations
/
{org}
/
{flow_name}
/
trail
/
{trail_name}
/
generic
Attest generic
curl --request POST \
  --url https://app.kosli.com/api/v2/attestations/{org}/{flow_name}/trail/{trail_name}/generic \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'data_json={
  "attestation_name": "<string>",
  "is_compliant": true,
  "origin_url": "<string>",
  "description": "<string>",
  "artifact_fingerprint": "<string>",
  "target_artifacts": [
    "<string>"
  ],
  "git_commit_info": {
    "sha1": "<string>",
    "message": "<string>",
    "author": "<string>",
    "author_username": "<string>",
    "branch": "<string>",
    "timestamp": 123,
    "url": "<string>",
    "parents": [
      "<string>"
    ]
  },
  "repo_info": {
    "name": "<string>",
    "url": "<string>",
    "id": "<string>",
    "description": "<string>",
    "provider": "github"
  },
  "external_urls": {},
  "annotations": {},
  "user_data": {}
}' \
  --form 'attachment_file=<string>'

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

flow_name
string
required
trail_name
string
required
org
string
required

Body

multipart/form-data
data_json
GenericAttestationPostInput · object
required

Attestation data in JSON format

Example:
{
  "annotations": { "key": "value" },
  "artifact_fingerprint": "089eeef9ef2ba07f142d93bb172eab3f23586b4cb40af75175ce140ab9a88c9a",
  "attestation_name": "manual-test",
  "description": "this is a glorious attestation",
  "external_urls": {
    "github": "https://github.com/org/repo/actions/123"
  },
  "git_commit_info": {
    "author": "Jon Smith <jon@smith.com>",
    "branch": "main",
    "message": "adding glorious commit",
    "sha1": "ae08fc6a5c963ae8dfaa0c27d8e5de9980d433b6",
    "timestamp": 1750923680,
    "url": "https://github.com/org/repo/commit/ae08fc6a5c963ae8dfaa0c27d8e5de9980d433b6"
  },
  "is_compliant": true,
  "origin_url": "https://github.com/actions/123",
  "user_data": {}
}
attachment_file
string | null

Optional attachment file (max size: 10MB)

Response

Creation Success

Last modified on April 9, 2026